Subject: Re: [EAI] Comments on draft--eai-pop-00

From: Randall Gellens <[email-masked]>
Date: Tue, 11 Jul 2006 07:23:05 -0700

At 10:21 AM +0800 7/11/06, abel wrote:

>   > FWIW, I was uncomfortable telling POP servers they SHOULD implement a MIME
>>  parser.  While I consider a MIME parser a very simple and lightweight
>  piece of
>>  code (that took me less than a day to write), that attitude is not shared
>  by
>>  other implementers.  How do other people feel about this?
>>
>  I had some different idea when I implement  our EAI trial ,
>  when the POP3 client login UTF8-name (pass UTF8-name) , POP3 service 'RETR
>  command' returns MUA a EAI mail content,
>  if  MUA login as US-ASCII name , POP3 returns mail as Downgraded (downward
>  compatibility for current MUA).
>  The US-ASCII name can be MIME or Punycode , and the name point to same UTF8
>  mailbox,
>  Considering and supporting current MUA is benefits

I apologize, but I am a bit confused: the text you quoted is Chris 
asking about the burden of implementing a MIME parser, but your reply 
seems to propose an alternative to the use of new commands in place 
of RETR/TOP.  In regards to this proposal, I'd prefer Chris' approach 
of new commands to make things explicit, rather than having it be 
implicit based on the login name.

_______________________________________________
IMA mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ima